Subject: bug#71606: Info manuals don't appear in default profile despite correct(?) environment variables

From: Olivier Rojon <[email-masked]>
Date: Mon, 17 Jun 2024 05:34:22 +0000

Hej fellows,

I am on a foreign distro (openSUSE) and use Guix as package manager.  I have set the
INFOPATH so that it points -- among others -- to the path of my current profile which is
the canonical `.config/guix/current/share/info`.  However, this directory seems to not be
correctly populated, for it is missing at least the entry of the `recutils` package which
I have installed via the Guix package manager.

Confusingly, Emacs doesn't find the recutils info manual (nor the manpages), but invoking
`info recutils` from the command line yields the documentation -- despite $INFOPATH being
identical in both cases and `~/.config/guix/current/share/info` being part of
`Info-directory-list`.

Am I doing something wrong, do I have to do something in particular, or is there a
misunderstanding on my side as to how the subdirectories of my current profile are
supposed to behave?

Have a good day :)